# List transfers

Returns transfers, one page at a time.

```http
GET https://api.pozy.ai/v1/transfers
```

- Area: Creators / Treasury
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `limit` (integer)
- `skip` (integer)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/transfers?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/transfers?limit=50", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/transfers",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "limit": 50,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `transfers`, array of object
  - `id`, string
  - `payeeId`, string: 24 to 24 characters
  - `payeeName`, string: Can be null
  - `destinationType`, string: One of `creator`, `ad_account`
  - `amountCents`, integer
  - `feeCents`, integer
  - `totalCents`, integer
  - `currency`, string
  - `reference`, object
    - `type`, string
    - `id`, string
    - `name`, string: Can be null
  - `status`, string: One of `pending`, `paid`, `failed`, `reversed`
  - `failureReason`, string: Can be null
  - `createdAt`, string (date-time)

```json
{
  "transfers": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "payeeId": "6e2802af63395e8f1a4ddc25",
      "payeeName": "Acme",
      "destinationType": "creator",
      "amountCents": 1,
      "feeCents": 1,
      "totalCents": 42,
      "currency": "USD",
      "reference": {
        "type": "string",
        "id": "6bfebd43ddc270f6d2c56fc5",
        "name": "Acme"
      },
      "status": "pending",
      "failureReason": "string",
      "createdAt": "2026-10-02T09:00:00.000Z"
    }
  ]
}
```
